{varType Skadmin\CampWideGame\Doctrine\CampWideGame\CampWideGame $campWideGame}
{varType Skadmin\CampWideGame\Doctrine\CampWideGame\CampWideGamePart[] $campWideGameParts}

<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">

                <div class="row mt-3">
                    <div class="col-12 text-center text-lg-left">
                        <img n:img="$campWideGame->getImagePreview(), '420x200', 'fit'" class="img-fluid float-lg-left mr-md-3" alt="{$campWideGame->getName()}">
                        <div class="text-left mt-3 mt-lg-0">
                            {$campWideGame->getContent()|noescape}
                        </div>
                    </div>
                </div>

                {if count($campWideGameParts) > 0}
                    <h4 class="mt-4">{_'camp-wide-game.front.detail.parts.title'}</h4>
                    <div class="accordion" id="camp-wide-game-parts" n:inner-foreach="$campWideGameParts as $part">
                        <div class="card">
                            <div class="card-header" id="camp-wide-game-part-header-{$part->getId()}">
                                <h2 class="mb-0">
                                    <span class="btn btn-link btn-block text-left font-weight-bold text-primary" href="#" type="button" data-toggle="collapse" data-target="#camp-wide-game-part-{$part->getId()}"
                                       aria-expanded="false" aria-controls="camp-wide-game-part-{$part->getId()}">
                                        {$part->getName()}
                                    </span>
                                </h2>
                            </div>

                            <div id="camp-wide-game-part-{$part->getId()}" class="collapse" aria-labelledby="camp-wide-game-part-header-{$part->getId()}" data-parent="#camp-wide-game-parts">
                                <div class="card-body">
                                    {$part->getContent()|noescape}
                                </div>
                            </div>
                        </div>
                    </div>
                {/if}

                <a href="{plink ComponentFront: package => $package, render => 'overview'}" class="btn btn-outline-primary mt-3">{_'camp-wide-game.front.detail.href.back'}</a>
            </div>
        </div>
    </div>
</div>